Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IMatrix

    java.lang.Object
      igeo.IMatrix

All Implemented Interfaces:
  IMatrixI, IMatrixOp, IParameter, IVal

Direct Known Subclasses:
  IMatrix2, IMatrix3, IMatrix4

    public class IMatrix

extends java.lang.Object
implements IMatrixI

Class of numerical matrix in specified size .

Author:
  Satoru Sugihara

Field Summary
`int` | `columnNum`
`int` | `rowNum`
`double[][]` | `val`

Constructor Summary
`IMatrix(IMatrix m)`
`IMatrix(int rownum, int columnnum)`

Method Summary
`IMatrix` | `add(IMatrix m)`
`IMatrix` | `add(IMatrixI m)`
`int` | `columnNum()`
`int` | `columnNum(ISwitchE e)`
`IInteger` | `columnNum(ISwitchR r)`
`IMatrix` | `cp()` alias of dup()
`static double` | `det(double v11, double v12, double v21, double v22)`
`double` | `determinant()`
`double` | `determinant(ISwitchE e)`
`IDouble` | `determinant(ISwitchR r)`
`IMatrix` | `div(double v)`
`IMatrix` | `div(IDoubleI v)`
`IMatrix` | `dup()`
`IMatrix` | `get()`
`double` | `get(int row, int column)`
`double` | `get(ISwitchE e, int row, int column)`
`IDouble` | `get(ISwitchR r, IIntegerI row, IIntegerI column)`
`IMatrix` | `id()`
`IMatrix` | `invert()`
`IMatrix` | `mul(double v)`
`IMatrix` | `mul(IDoubleI v)`
`IMatrix` | `mul(IMatrix m)` currently mul returns new instance different from this with different row x column num.
`IMatrix` | `mul(IMatrixI m)`
`int` | `rowNum()`
`int` | `rowNum(ISwitchE e)`
`IInteger` | `rowNum(ISwitchR r)`
`IMatrix` | `set(double[][] v)`
`IMatrix` | `set(IDoubleI[][] v)`
`IMatrix` | `set(IIntegerI row, IIntegerI column, IDoubleI v)`
`IMatrix` | `set(IMatrix m)`
`IMatrix` | `set(IMatrixI m)`
`IMatrix` | `set(int row, int column, double v)`
`IMatrix` | `setId()`
`IMatrix` | `setRange(IMatrix m, int rowStart, int rowLen, int columnStart, int columnLen)`
`IMatrix` | `setZero()`
`IMatrix` | `sub(IMatrix m)`
`IMatrix` | `sub(IMatrixI m)`
`double[]` | `toArray()`
`double[]` | `toArray(boolean perRow)`
`java.lang.String` | `toString()`
`IMatrix` | `zero()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### val

    public double[][] val

### rowNum

    public int rowNum

### columnNum

    public int columnNum

Constructor Detail

### IMatrix

    public IMatrix(int rownum,
                   int columnnum)

### IMatrix

    public IMatrix(IMatrix m)

Method Detail

### get

    public IMatrix get()

  Specified by:
    `get` in interface `IMatrixOp`
  Specified by:
    `get` in interface `IParameter`

### dup

    public IMatrix dup()

  Specified by:
    `dup` in interface `IMatrixI`

### cp

    public IMatrix cp()

  Description copied from interface: `IMatrixI`
  alias of dup()

  Specified by:
    `cp` in interface `IMatrixI`

### rowNum

    public int rowNum()

  Specified by:
    `rowNum` in interface `IMatrixI`

### columnNum

    public int columnNum()

  Specified by:
    `columnNum` in interface `IMatrixI`

### rowNum

    public int rowNum(ISwitchE e)

  Specified by:
    `rowNum` in interface `IMatrixI`

### columnNum

    public int columnNum(ISwitchE e)

  Specified by:
    `columnNum` in interface `IMatrixI`

### rowNum

    public IInteger rowNum(ISwitchR r)

  Specified by:
    `rowNum` in interface `IMatrixI`

### columnNum

    public IInteger columnNum(ISwitchR r)

  Specified by:
    `columnNum` in interface `IMatrixI`

### setZero

    public IMatrix setZero()

  Specified by:
    `setZero` in interface `IMatrixI`

### zero

    public IMatrix zero()

### setId

    public IMatrix setId()

  Specified by:
    `setId` in interface `IMatrixI`

### id

    public IMatrix id()

### get

    public double get(int row,
                      int column)

  Specified by:
    `get` in interface `IMatrixI`

### get

    public double get(ISwitchE e,
                      int row,
                      int column)

  Specified by:
    `get` in interface `IMatrixI`

### get

    public IDouble get(ISwitchR r,
                       IIntegerI row,
                       IIntegerI column)

  Specified by:
    `get` in interface `IMatrixI`

### set

    public IMatrix set(double[][] v)

  Specified by:
    `set` in interface `IMatrixI`

### set

    public IMatrix set(int row,
                       int column,
                       double v)

  Specified by:
    `set` in interface `IMatrixI`

### set

    public IMatrix set(IIntegerI row,
                       IIntegerI column,
                       IDoubleI v)

  Specified by:
    `set` in interface `IMatrixI`

### set

    public IMatrix set(IDoubleI[][] v)

  Specified by:
    `set` in interface `IMatrixI`

### set

    public IMatrix set(IMatrix m)

### set

    public IMatrix set(IMatrixI m)

  Specified by:
    `set` in interface `IMatrixI`

### setRange

    public IMatrix setRange(IMatrix m,
                            int rowStart,
                            int rowLen,
                            int columnStart,
                            int columnLen)

### add

    public IMatrix add(IMatrix m)

### add

    public IMatrix add(IMatrixI m)

  Specified by:
    `add` in interface `IMatrixI`

### sub

    public IMatrix sub(IMatrix m)

### sub

    public IMatrix sub(IMatrixI m)

  Specified by:
    `sub` in interface `IMatrixI`

### div

    public IMatrix div(double v)

  Specified by:
    `div` in interface `IMatrixI`

### div

    public IMatrix div(IDoubleI v)

  Specified by:
    `div` in interface `IMatrixI`

### mul

    public IMatrix mul(double v)

  Specified by:
    `mul` in interface `IMatrixI`

### mul

    public IMatrix mul(IDoubleI v)

  Specified by:
    `mul` in interface `IMatrixI`

### mul

    public IMatrix mul(IMatrix m)

  currently mul returns new instance different from this with different row x column num. but it should change the content without generating new instance.

### mul

    public IMatrix mul(IMatrixI m)

  Specified by:
    `mul` in interface `IMatrixI`

### det

    public static double det(double v11,
                             double v12,
                             double v21,
                             double v22)

### determinant

    public double determinant()

  Specified by:
    `determinant` in interface `IMatrixI`

### determinant

    public double determinant(ISwitchE e)

  Specified by:
    `determinant` in interface `IMatrixI`

### determinant

    public IDouble determinant(ISwitchR r)

  Specified by:
    `determinant` in interface `IMatrixI`

### invert

    public IMatrix invert()

  Specified by:
    `invert` in interface `IMatrixI`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toArray

    public double[] toArray(boolean perRow)

### toArray

    public double[] toArray()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD